Package Details: perl-dbd-oracle 1.74-2

Git Clone URL: https://aur.archlinux.org/perl-dbd-oracle.git (read-only)
Package Base: perl-dbd-oracle
Description: DBD::Oracle - Oracle database driver for the DBI module
Upstream URL: http://search.cpan.org/dist/DBD-Oracle
Licenses: GPL, PerlArtistic
Submitter: cousinm
Maintainer: cousinm
Last Packager: cousinm
Votes: 2
Popularity: 0.089220
First Submitted: 2015-09-30 07:08
Last Updated: 2015-09-30 07:09

Dependencies (4)

Required by (2)

Sources (1)

Latest Comments

cousinm commented on 2016-08-10 11:56

that's a "misleading" message: it cannot do these regression tests because there is no oracle instance available to connect to.

tantalum commented on 2016-08-10 08:15

i have installed from the unofficial repository. the ORACLE_HOME and TNS_ADMIN are set.
the issue just lost priority for me because i found out that my previous installation of perl-dbd-oracle (same version) actually does still work. though, if i get the header problem, maybe someone else gets it too.
theoretically it could just be a misleading message since i have not installed the resulting package when the message occurred.
but in the makepkg check() phase i also get lines like "t/10general.t ................. skipped: Unable to connect to Oracle".
thanks for your help.

cousinm commented on 2016-08-09 07:36

Have you installed the oracle instant client dependency from the AUR package or the oracle unofficial repository (as explained in oracle-instantclient-basic) ?

tantalum commented on 2016-08-08 14:27

does anybody know how i can solve the issue:
> I can't find the header files I need in your Oracle installation.

when the following packages are already installed:
oracle-instantclient-basic 12.1.0.2.0-1
oracle-instantclient-sdk 12.1.0.2.0-1
oracle-instantclient-sqlplus 12.1.0.2.0-1

oracle-instantclient-sdk installed its files directly under "/usr/include", for example "/usr/include/oci.h".